<template>
	<modal :show="show" :on-close="cancel">
		<div class="box has-text-centered">
			<h3 class="title">Are you sure?</h3>
			<p>
				<slot>Are you sure you want to do this?</slot>
			</p>
			<br />
			<p>
				<button class="button is-danger is-large" @click="cancel">Cancel</button>
				&nbsp;
				<button class="button is-success is-large" @click="confirm">Confirm</button>
			</p>
		</div>
	</modal>
</template>

<script>
	import Modal from './modal';
	export default {
	    components:{Modal},
		props:['show', 'onConfirm', 'onCancel'],
		methods: {
			confirm() {
				this.onConfirm();
			},
			cancel() {
				this.onCancel();
			}
		}
	}
</script>
